// Generated by using Rcpp::compileAttributes() -> do not edit by hand
// Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#include <Rcpp.h>

using namespace Rcpp;

// wavelength_to_rgb
RObject wavelength_to_rgb(const NumericVector& lambda, const Nullable<NumericVector>& alpha, const double gamma);
RcppExport SEXP _mytools_wavelength_to_rgb(SEXP lambdaSEXP, SEXP alphaSEXP, SEXP gammaSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< const NumericVector& >::type lambda(lambdaSEXP);
    Rcpp::traits::input_parameter< const Nullable<NumericVector>& >::type alpha(alphaSEXP);
    Rcpp::traits::input_parameter< const double >::type gamma(gammaSEXP);
    rcpp_result_gen = Rcpp::wrap(wavelength_to_rgb(lambda, alpha, gamma));
    return rcpp_result_gen;
END_RCPP
}

static const R_CallMethodDef CallEntries[] = {
    {"_mytools_wavelength_to_rgb", (DL_FUNC) &_mytools_wavelength_to_rgb, 3},
    {NULL, NULL, 0}
};

RcppExport void R_init_mytools(DllInfo *dll) {
    R_registerRoutines(dll, NULL, CallEntries, NULL, NULL);
    R_useDynamicSymbols(dll, FALSE);
}
